package com.qs.mp.admin.domain.excel;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Cup
 * @date 2022/5/25
 */
@ApiModel("商品回收订单导出类")
@Data
public class PrizeRecoveryExcel {

    @ApiModelProperty("回收时间")
    private Date createdTime;

    @ApiModelProperty("商品名称")
    private String title;

    @ApiModelProperty("商品sku")
    private String properties;

    @ApiModelProperty("商品单价(盲豆)")
    private Integer exchangePrice;

    @ApiModelProperty("数量")
    private Integer num;

    @ApiModelProperty("回收折扣(%)")
    private BigDecimal discountRate;

    @ApiModelProperty("返还盲豆数")
    private Integer refundCoin;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("用户手机号")
    private String userPhone;


}
